readGenes.pfizer {GeneticsBase} | R Documentation

## Read genetics data files that use Pfizer's data format.

### Description

Read genetics data files that use Pfizer's data format.

### Usage

    readGenes.pfizer(filename, phase=list(F),
                     format=c("Pivot", "Listing"),...)

### Arguments

`filename` | Name of the file in which data is stored
`phase` | see below
`format` | Format of the file to be read, one of "Pivot" or "Listing"
`...` | Additional arguments to function read.table

### Details

The argument `phase` may be:

1
  A single logical scalar value that applies for all markers
2
  A logical vector with one element per marker
3
  A phaseObject (TBD) providing observation by marker by phase probabilities + definitions of contigs + probability of contigs

### Value

a geneSet object

### Author(s)

Gregory R. Warnes warnes@bst.rochester.edu and Nitin Jain nitin.jain@pfizer.com

### Examples

    # store where we are now
    here <- getwd()

    # move to the data directory
    dir <- file.path(.path.package("GeneticsBase"),"data")
    setwd(dir)

    # load Pfizer Data
    PfizerExample <- readGenes.pfizer("PfizerExample.txt", format="Listing")

    # look at the data
    PfizerExample

    # return to the original path
    setwd(here)

[Package GeneticsBase version 1.8.0 Index]